Package org.h2.command.dml

# Class Call

java.lang.Object
org.h2.command.Prepared
org.h2.command.dml.Call

public class Call extends Prepared
This class represents the statement CALL.

## Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`Call(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
Get the command type as defined in CommandInterface
`boolean`
`isCacheable()`
`boolean`
`isQuery()`
Check if this object is a query.
`boolean`
`isReadOnly()`
Check if this command is read only.
`boolean`
`isTransactional()`
Check if this command is transactional.
`void`
`prepare()`
Prepare this statement.
`ResultInterface`
`query(long maxrows)`
Execute the query.
`ResultInterface`
`queryMeta()`
Get an empty result set containing the metadata.
`void`
`setExpression(Expression expression)`
`void`
`setTableFunction(TableFunction tableFunction)`
`long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isRetryable, isWithParamValues, needRecompile, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Call

public Call(SessionLocal session)

## Method Details

### queryMeta

public ResultInterface queryMeta()
Description copied from class: `Prepared`
Get an empty result set containing the metadata.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

### update

public long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

### query

public ResultInterface query(long maxrows)
Description copied from class: `Prepared`
Execute the query.

Overrides:
  `query` in class `Prepared`
Parameters:
  `maxrows` - the maximum number of rows to return
Returns:
  the result set

### prepare

public void prepare()
Description copied from class: `Prepared`
Prepare this statement.

Overrides:
  `prepare` in class `Prepared`

### setExpression

public void setExpression(Expression expression)

### setTableFunction

public void setTableFunction(TableFunction tableFunction)

### isQuery

public boolean isQuery()
Description copied from class: `Prepared`
Check if this object is a query.

Overrides:
  `isQuery` in class `Prepared`
Returns:
  true if it is

### isTransactional

public boolean isTransactional()
Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

### isReadOnly

public boolean isReadOnly()
Description copied from class: `Prepared`
Check if this command is read only.

Overrides:
  `isReadOnly` in class `Prepared`
Returns:
  true if it is

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### isCacheable

public boolean isCacheable()

Overrides:
  `isCacheable` in class `Prepared`